﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ornek1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            cbirim.Items.Add("İdari");
            cbirim.Items.Add("Akademik");
            cbirim.Items.Add("Öğrenci");
            cbirim.Text = "Seçiniz";

            radioButton1.Checked = true;
        }

        private void bekle_Click(object sender, EventArgs e)
        { 
        
            if(tisim.Text.Length>2 && ttelno.Text.Length>3 && cbirim.SelectedIndex>-1){

                lisim.Items.Add(tisim.Text);

                if(radioButton1.Checked)
                    ltip.Items.Add(radioButton1.Text); // ltip.Items.Add("Ev");
                else
                    ltip.Items.Add(radioButton2.Text);

                lbirim.Items.Add(cbirim.Text);
                ltelno.Items.Add(ttelno.Text);


                tisim.Clear();
                cbirim.Text = "Seçiniz";
                radioButton1.Checked = true;
                ttelno.Clear();

                


            }
        }

        private void bsil_Click(object sender, EventArgs e)
        {
            int secilen = lisim.SelectedIndex;

            if (secilen > -1)
            {
                lisim.Items.RemoveAt(secilen);
                ltip.Items.RemoveAt(secilen);
                lbirim.Items.RemoveAt(secilen);
                ltelno.Items.RemoveAt(secilen);
            }



        }

        private void bgetir_Click(object sender, EventArgs e)
        {
            int secilen = lisim.SelectedIndex;

            if (secilen > -1)
            {
                tisim.Text = lisim.Items[secilen].ToString(); //lisim.Text;
                cbirim.Text = lbirim.Items[secilen].ToString();
                ttelno.Text = ltelno.Items[secilen].ToString();

                if (radioButton1.Text == ltip.Items[secilen].ToString())
                    radioButton1.Checked = true;
                else
                    radioButton2.Checked = true;
            }
        }

        private void bduzenle_Click(object sender, EventArgs e)
        {

            int secilen=lisim.SelectedIndex;

            if (secilen>-1 && tisim.Text.Length > 2 && ttelno.Text.Length > 2 
                && cbirim.SelectedIndex > -1)
            {
                lisim.Items[secilen] = tisim.Text;
                if(radioButton1.Checked)
                    ltip.Items[secilen] = radioButton1.Text;
                else
                    ltip.Items[secilen] = radioButton2.Text;
                lbirim.Items[secilen] = cbirim.Text;
                ltelno.Items[secilen] = ttelno.Text;

                tisim.Clear();
                cbirim.Text = "Seçiniz";
                radioButton1.Checked = true;
                ttelno.Clear();
            }

        }

        private void bkapat_Click(object sender, EventArgs e)
        {
            this.Close();
        }


        private void sec(object sender, EventArgs e)
        {
            ListBox lb = (ListBox)sender; // sender ==> lisim, ltip, lbirim, ltelno

            lisim.SelectedIndex = lb.SelectedIndex;
            ltip.SelectedIndex = lb.SelectedIndex;
            lbirim.SelectedIndex = lb.SelectedIndex;
            ltelno.SelectedIndex = lb.SelectedIndex;
        }

    }
}
